mirror of
https://github.com/NixOS/nixpkgs.git
synced 2024-12-02 20:03:16 +00:00
0afe9d1f70
Always set `SRCTOP`, set it with abs path
llvmPackages: Bump minimum version for FreeBSD
llvmPackages_*, libgcc, compiler_rt: Hack in enough libs that one can compiler C
freebsd.compat: Rename some things to work around cc-wrapper change
0bea4a194f
/ #191724 in particular
14 lines
427 B
Diff
14 lines
427 B
Diff
diff --git a/sys/conf/newvers.sh b/sys/conf/newvers.sh
|
|
index c594724d814..d5287c7b992 100644
|
|
--- a/sys/conf/newvers.sh
|
|
+++ b/sys/conf/newvers.sh
|
|
@@ -177,7 +177,7 @@ u=${USER:-root}
|
|
d=$(pwd)
|
|
h=${HOSTNAME:-$(hostname)}
|
|
if [ -n "$SOURCE_DATE_EPOCH" ]; then
|
|
- if ! t=$(date -r $SOURCE_DATE_EPOCH 2>/dev/null); then
|
|
+ if ! t=$(date -d @$SOURCE_DATE_EPOCH 2>/dev/null); then
|
|
echo "Invalid SOURCE_DATE_EPOCH" >&2
|
|
exit 1
|
|
fi
|